# Packed bed pressure drop (fluids.packed_bed)

`fluids.packed_bed.``dP_packed_bed`(dp, voidage, vs, rho, mu, L=1, Dt=None, sphericity=None, Method=None, AvailableMethods=False)

  This function handles choosing which pressure drop in a packed bed correlation is used. Automatically select which correlation to use if none is provided. Returns None if insufficient information is provided.

  Preferred correlations are ‘Erdim, Akgiray & Demir’ when tube diameter is not provided, and ‘Harrison, Brunner & Hecker’ when tube diameter is provided. If you are using a particles in a narrow tube between 2 and 3 particle diameters, expect higher than normal voidages (0.4-0.5) and used the method ‘Guo, Sun, Zhang, Ding & Liu’.

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area) [m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Dt : float, optional

  > Diameter of the tube, [m]

  sphericity : float, optional

  > Sphericity of the particles [-]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  methods : list, only returned if AvailableMethods == True

  > List of methods which can be used to calculate dP with the given inputs

  Other Parameters:

  Method : string, optional

  > A string of the function name to use, as in the dictionary packed_beds_correlations

  AvailableMethods : bool, optional

  > If True, function will consider which methods which can be used to calculate dP with the given inputs and return them as a list

  Examples

      >>> dP_packed_bed(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1438.2826958844414
      >>> dP_packed_bed(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3, Dt=0.01)
      1255.1625662548427
      >>> dP_packed_bed(dp=0.05, voidage=0.492, vs=0.1, rho=1E3, mu=1E-3, Dt=0.015, Method='Guo, Sun, Zhang, Ding & Liu')
      18782.499710673364

`fluids.packed_bed.``Ergun`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R549], as shown in [R550] and [R551]. Eighteenth most accurate correlation overall in the review of [R550].

  Most often presented in the following form:

  \[\Delta P = \frac{150\mu (1-\epsilon)^2 v_s L}{\epsilon^3 d_p^2} + \frac{1.75 (1-\epsilon) \rho v_s^2 L}{\epsilon^3 d_p}\]

  It is also often presented with a term for sphericity, which is multiplied by particle diameter everywhere in the equation. However, this is highly empirical and better correlations for beds of differently-shaped particles exist. To use sphericity in this model, multiple the input particle diameter by the spericity separately.

  In the review of [R550], it is expressed in terms of a parameter fp, shown below. This is a convenient means of expressing all forms of pressure drop in packed beds correlations in a way that allows for easy comparison.

  \[f_p = \left(150 + 1.75\left(\frac{Re}{1-\epsilon}\right)\right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  The first term in this equation represents laminar loses, and the second, turbulent loses. Developed with data from spheres, sand, and pulverized coke. Fluids tested were carbon dioxide, nitrogen, methane, and hydrogen.

  Validity range shown in [R551] is \(1 < Re_{Erg} < 2300\). Over predicts pressure drop for \(Re_{Erg} > 700\).

  References

  [R549] | (1, 2) Ergun, S. (1952) “Fluid flow through packed columns”, Chem. Eng. Prog., 48, 89-94.

  [R550] | (1, 2, 3, 4) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R551] | (1, 2, 3) Jones, D. P., and H. Krier. “Gas Flow Resistance Measurements Through Packed Beds at High Reynolds Numbers.” Journal of Fluids Engineering 105, no. 2 (June 1, 1983): 168-172. doi:10.1115/1.3240959.

  Examples

      >>> Ergun(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1338.8671874999995

`fluids.packed_bed.``Kuo_Nydegger`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R552], as shown in [R553] and [3]. Thirty-eighth most accurate correlation overall in the review of [R553].

  \[f_p = \left(276.23 + 5.05\left(\frac{Re}{1-\epsilon}\right)^{0.87} \right)\frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Validity range shown in [R553] as for a range of \(460 < Re < 14600\). \(0.3760 < \epsilon < 0.3901\). Developed with data from rough granular ball propellants beds, with air.

  References

  [R552] | (1, 2) Kuo, K. K. and Nydegger, C., “Flow Resistance Measurement and Correlation in Packed Beds of WC 870 Ball Propellants,” Journal of Ballistics , Vol. 2, No. 1, pp. 1-26, 1978.

  [R553] | (1, 2, 3, 4) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R554] | Jones, D. P., and H. Krier. “Gas Flow Resistance Measurements Through Packed Beds at High Reynolds Numbers.” Journal of Fluids Engineering 105, no. 2 (June 1, 1983): 168-172. doi:10.1115/1.3240959.

  Examples

      >>> Kuo_Nydegger(dp=8E-1, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      0.025651460973648624

`fluids.packed_bed.``Jones_Krier`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R555], also shown in [R556]. Tenth most accurate correlation overall in the review of [R556].

  \[f_p = \left(150 + 3.89\left(\frac{Re}{1-\epsilon}\right)^{0.87}\right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Validity range shown in [R555] as for a range of \(733 < Re < 126,670\). \(0.3804 < \epsilon < 0.4304\). Developed from data of spherical glass beads.

  References

  [R555] | (1, 2, 3) Jones, D. P., and H. Krier. “Gas Flow Resistance Measurements Through Packed Beds at High Reynolds Numbers.” Journal of Fluids Engineering 105, no. 2 (June 1, 1983): 168-172. doi:10.1115/1.3240959.

  [R556] | (1, 2, 3) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  Examples

      >>> Jones_Krier(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1362.2719449873746

`fluids.packed_bed.``Carman`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R557], as shown in [R558]. Fifth most accurate correlation overall in the review of [R558]. Also shown in [R559].

  \[f_p = \left(180 + 2.871\left(\frac{Re}{1-\epsilon}\right)^{0.9}\right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Valid in [R557], [R558], and [R559] for a range of \(300 < Re_{Erg} < 60,000\).

  References

  [R557] | (1, 2, 3) P.C. Carman, Fluid flow through granular beds, Transactions of the London Institute of Chemical Engineers 15 (1937) 150-166.

  [R558] | (1, 2, 3, 4) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R559] | (1, 2, 3) Allen, K. G., T. W. von Backstrom, and D. G. Kroger. “Packed Bed Pressure Drop Dependence on Particle Shape, Size Distribution, Packing Arrangement and Roughness.” Powder Technology 246 (September 2013): 590-600. doi:10.1016/j.powtec.2013.06.022.

  Examples

      >>> Carman(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1614.721678121775

`fluids.packed_bed.``Hicks`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R560], as shown in [R561]. Twenty-third most accurate correlation overall in the review of [R561]. Also shown in [R562].

  \[f_p = 6.8 \frac{(1-\epsilon)^{1.2}}{Re^{0.2}\epsilon^3}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Valid in [R560], [R561], and [R562] for a range of \(300 < Re_{Erg} < 60,000\).

  References

  [R560] | (1, 2, 3) Hicks, R. E. “Pressure Drop in Packed Beds of Spheres.” Industrial Engineering Chemistry Fundamentals 9, no. 3 (August 1, 1970): 500-502. doi:10.1021/i160035a032.

  [R561] | (1, 2, 3, 4) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R562] | (1, 2, 3) Allen, K. G., T. W. von Backstrom, and D. G. Kroger. “Packed Bed Pressure Drop Dependence on Particle Shape, Size Distribution, Packing Arrangement and Roughness.” Powder Technology 246 (September 2013): 590-600. doi:10.1016/j.powtec.2013.06.022.

  Examples

      >>> Hicks(dp=0.01, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      3.631703956680737

`fluids.packed_bed.``Brauer`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R563], as shown in [R564]. Seventh most accurate correlation overall in the review of [R564]. Also shown in [R565].

  \[f_p = \left(160 + 3\left(\frac{Re}{1-\epsilon}\right)^{0.9}\right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Original has not been reviewed. In [R564], is stated as for a range of \(2 < Re_{Erg} < 20,000\). In [R565], is stated as for a range of \(0.01 < Re_{Erg} < 40,000\).

  References

  [R563] | (1, 2) H. Brauer, Grundlagen der Einphasen -und Mehrphasenstromungen, Sauerlander AG, Aarau, 1971.

  [R564] | Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R564] | Allen, K. G., T. W. von Backstrom, and D. G. Kroger. “Packed Bed Pressure Drop Dependence on Particle Shape, Size Distribution, Packing Arrangement and Roughness.” Powder Technology 246 (September 2013): 590-600. doi:10.1016/j.powtec.2013.06.022.

  Examples

      >>> Brauer(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1441.5479196020563

`fluids.packed_bed.``KTA`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R568], as shown in [R569]. Third most accurate correlation overall in the review of [R569].

  \[f_p = \left(160 + 3\left(\frac{Re}{1-\epsilon}\right)^{0.9}\right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re= \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Developed for gas flow through pebbles in nuclear reactors.

  In [R569], stated as for a range of \(1 < RE_{Erg} <100,000\). In [R568], a limit on porosity is stated as \(0.36 < \epsilon < 0.42\).

  References

  [R568] | (1, 2, 3) KTA. KTA 3102.3 Reactor Core Design of High-Temperature Gas-Cooled Reactors Part 3: Loss of Pressure through Friction in Pebble Bed Cores. Germany, 1981.

  [R569] | (1, 2, 3, 4) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  Examples

      >>> KTA(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1440.409277034248

`fluids.packed_bed.``Erdim_Akgiray_Demir`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R572], claiming to be the best model to date.

  \[f_v = 160 + 2.81Re_{Erg}^{0.904}\]
  \[f_v = \frac{\Delta P d_p^2}{\mu v_s L}\frac{\epsilon^3}{(1-\epsilon)^2}\]
  \[Re_{Erg} = \frac{\rho v_s d_p}{\mu(1-\epsilon)}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Developed with data in the range of:

  \[\begin{split}2 < Re_{Erg} <3582\\ 4 < d_t/d_p < 34.1\\ 0.377 < \epsilon <0.470\end{split}\]

  References

  [R572] | (1, 2) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  Examples

      >>> Erdim_Akgiray_Demir(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1438.2826958844414

`fluids.packed_bed.``Fahien_Schriver`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R573], as shown in [R574]. Second most accurate correlation overall in the review of [R574].

  \[f_p = \left(q\frac{f_{1L}}{Re_{Erg}} + (1-q)\left(f_2 + \frac{f_{1T}} {Re_{Erg}}\right)\right)\frac{1-\epsilon}{\epsilon^3}\]
  \[q = \exp\left(-\frac{\epsilon^2(1-\epsilon)}{12.6}Re_{Erg}\right)\]
  \[f_{1L}=\frac{136}{(1-\epsilon)^{0.38}}\]
  \[f_{1T} = \frac{29}{(1-\epsilon)^{1.45}\epsilon^2}\]
  \[f_2 = \frac{1.87\epsilon^{0.75}}{(1-\epsilon)^{0.26}}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re_{Erg} = \frac{\rho v_s d_p}{\mu(1-\epsilon)}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  No range of validity available.

  References

  [R573] | (1, 2) R.W. Fahien, C.B. Schriver, Paper presented at the 1961 Denver meeting of AIChE, in: R.W. Fahien, Fundamentals of Transport Phenomena, McGraw-Hill, New York, 1983.

  [R574] | (1, 2, 3) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  Examples

      >>> Fahien_Schriver(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1470.6175541844711

`fluids.packed_bed.``Tallmadge`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R575], as shown in [R576] and [3].

  \[f_p = \left(150 + 4.2\left(\frac{Re}{1-\epsilon}\right)^{5/6} \right) \frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  The validity range shown in [R576] is a range of \(0.1 < Re < 100000\).

  References

  [R575] | (1, 2) Tallmadge, J. A. “Packed Bed Pressure Drop-an Extension to Higher Reynolds Numbers.” AIChE Journal 16, no. 6 (November 1, 1970): 1092-93.

  [R576] | (1, 2, 3) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  [R577] | Montillet, A., E. Akkari, and J. Comiti. “About a Correlating Equation for Predicting Pressure Drops through Packed Beds of Spheres in a Large Range of Reynolds Numbers.” Chemical Engineering and Processing: Process Intensification 46, no. 4 (April 2007): 329-33. doi:10.1016/j.cep.2006.07.002.

  Examples

      >>> Tallmadge(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1365.2739144209424

`fluids.packed_bed.``Idelchik`(dp, voidage, vs, rho, mu, L=1)

  Calculates pressure drop across a packed bed of spheres as in [R579], originally in [R578].

  \[\frac{\Delta P}{L\rho v_s^2} d_p = \frac{0.765}{\epsilon^{4.2}} \left(\frac{30}{Re_l} + \frac{3}{Re_l^{0.7}} + 0.3\right)\]
  \[Re_l = (0.45/\epsilon^{0.5})Re_{Erg}\]
  \[Re_{Erg} = \frac{\rho v_s D_p}{\mu(1-\epsilon)}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  \(0.001 < Re_{Erg} <1000\) This equation is valid for void fractions between 0.3 and 0.8. Cited as by Bernshtein.

  References

  [R578] | (1, 2) Idelchik, I. E. Flow Resistance: A Design Guide for Engineers. Hemisphere Publishing Corporation, New York, 1989.

  [R579] | (1, 2) Allen, K. G., T. W. von Backstrom, and D. G. Kroger. “Packed Bed Pressure Drop Dependence on Particle Shape, Size Distribution, Packing Arrangement and Roughness.” Powder Technology 246 (September 2013): 590-600. doi:10.1016/j.powtec.2013.06.022.

  Examples

      >>> Idelchik(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3)
      1571.909125999067

`fluids.packed_bed.``Harrison_Brunner_Hecker`(dp, voidage, vs, rho, mu, L=1, Dt=None)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R580], also shown in [R581]. Fourth most accurate correlation overall in the review of [R581]. Applies a wall correction if diameter of tube is provided.

  \[f_p = \left(119.8A + 4.63B\left(\frac{Re}{1-\epsilon}\right)^{5/6} \right)\frac{(1-\epsilon)^2}{\epsilon^3 Re}\]
  \[A = \left(1 + \pi \frac{d_p}{6(1-\epsilon)D_t}\right)^2\]
  \[B = 1 - \frac{\pi^2 d_p}{24D_t}\left(1 - \frac{0.5d_p}{D_t}\right)\]
  \[f_p = \frac{\Delta P d_p}{\rho v_s^2 L}\]
  \[Re = \frac{\rho v_s d_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Dt : float, optional

  > Diameter of the tube, [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Uses data from other sources only. Correlation will underestimate pressure drop if tube diameter is not provided. Limits are specified in [R580] as: .. math:

      0.72 < Re < 7700 \\
      8.3 < d_t/d_p < 50 \\
      0.33 < \epsilon < 0.88

  References

  [R580] | (1, 2, 3) KTA. KTA 3102.3 Reactor Core Design of High-Temperature Gas-Cooled Reactors Part 3: Loss of Pressure through Friction in Pebble Bed Cores. Germany, 1981.

  [R581] | (1, 2, 3) Erdim, Esra, Ömer Akgiray, and İbrahim Demir. “A Revisit of Pressure Drop-Flow Rate Correlations for Packed Beds of Spheres.” Powder Technology 283 (October 2015): 488-504. doi:10.1016/j.powtec.2015.06.017.

  Examples

      >>> Harrison_Brunner_Hecker(dp=8E-4, voidage=0.4, vs=1E-3, rho=1E3, mu=1E-3, Dt=1E-2)
      1255.1625662548427

`fluids.packed_bed.``Montillet_Akkari_Comiti`(dp, voidage, vs, rho, mu, L=1, Dt=None)

  Calculates pressure drop across a packed bed of spheres as in [R583], originally in [R582]. Wall effect adjustment is used if Dt is provided.

  \[\frac{\Delta P}{L\rho V_s^2} D_p \frac{\epsilon^3}{(1-\epsilon)} = a\left(\frac{D_c}{D_p}\right)^{0.20} \left(\frac{1000}{Re_{p}} + \frac{60}{Re_{p}^{0.5}} + 12 \right)\]
  \[Re_{p} = \frac{\rho v_s D_p}{\mu}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Dt : float, optional

  > Diameter of the tube, [m]

  Returns:

  dP : float

  > Pressure drop across bed [Pa]

  Notes

  \(10 < REp <2500\) if Dc/D > 50, set to 2.2. a = 0.061 for epsilon < 0.4, 0.050 for > 0.4.

  References

  [R582] | (1, 2) Montillet, A., E. Akkari, and J. Comiti. “About a Correlating Equation for Predicting Pressure Drops through Packed Beds of Spheres in a Large Range of Reynolds Numbers.” Chemical Engineering and Processing: Process Intensification 46, no. 4 (April 2007): 329-33. doi:10.1016/j.cep.2006.07.002.

  [R583] | (1, 2) Allen, K. G., T. W. von Backstrom, and D. G. Kroger. “Packed Bed Pressure Drop Dependence on Particle Shape, Size Distribution, Packing Arrangement and Roughness.” Powder Technology 246 (September 2013): 590-600. doi:10.1016/j.powtec.2013.06.022.

  Examples

  Custom example:

      >>> Montillet_Akkari_Comiti(dp=0.0008, voidage=0.4, L=0.5, vs=0.00132629120, rho=1000., mu=1.00E-003)
      1148.1905244077548

`fluids.packed_bed.``Guo_Sun`(dp, voidage, vs, rho, mu, Dt, L=1)

  Calculates pressure drop across a packed bed of spheres using a correlation developed in [R584]. This is valid for highly-packed particles at particle/tube diameter ratios between 2 and 3, where a ring packing structure occurs. If a packing ratio is so low, it is important to use this model because in some cases its predictions are as low as half those of other models!

  \[f_v = 180 + \left(9.5374\frac{d_p}{D_t} - 2.8054\right)Re_{Erg}^{0.97}\]
  \[f_v = \frac{\Delta P d_p^2}{\mu v_s L}\frac{\epsilon^3}{(1-\epsilon)^2}\]
  \[Re_{Erg} = \frac{\rho v_s d_p}{\mu(1-\epsilon)}\]

  Parameters:

  dp : float

  > Particle diameter of spheres [m]

  voidage : float

  > Void fraction of bed packing [-]

  vs : float

  > Superficial velocity of the fluid (volumetric flow rate/cross-sectional area)[m/s]

  rho : float

  > Density of the fluid [kg/m^3]

  mu : float

  > Viscosity of the fluid, [Pa*s]

  Dt : float

  > Diameter of the tube, [m]

  L : float, optional

  > Length the fluid flows in the packed bed [m]

  Returns:

  dP : float

  > Pressure drop across the bed [Pa]

  Notes

  Developed with data in the range of:

  \[\begin{split}100 < Re_{m} <33000\\ 2 < d_t/d_p < 3 1\\ 0.476 < \epsilon <0.492\end{split}\]

  References

  [R584] | (1, 2) Guo, Zehua, Zhongning Sun, Nan Zhang, Ming Ding, and Jiaqing Liu. “Pressure Drop in Slender Packed Beds with Novel Packing Arrangement.” Powder Technology 321 (November 2017): 286-92. doi:10.1016/j.powtec.2017.08.024.

  Examples

      >>> Guo_Sun(dp=14.2E-3, voidage=0.492, vs=0.6, rho=1E3, mu=1E-3, Dt=40.9E-3)
      42019.529911473706

`fluids.packed_bed.``voidage_Benyahia_Oneil`(Dpe, Dt, sphericity)

  Calculates voidage of a bed of arbitraryily shaped uniform particles packed into a bed or tube of diameter Dt, with equivalent sphere diameter Dp. Shown in [R585], and cited by various authors. Correlations exist also for spheres, solid cylinders, hollow cylinders, and 4-hole cylinders. Based on a series of physical measurements.

  \[\epsilon = 0.1504 + \frac{0.2024}{\phi} + \frac{1.0814} {\left(\frac{d_{t}}{d_{pe}}+0.1226\right)^2}\]

  Parameters:

  Dpe : float

  > Equivalent spherical particle diameter (diameter of a sphere with the same volume), [m]

  Dt : float

  > Diameter of the tube, [m]

  sphericity : float

  > Sphericity of particles in bed []

  Returns:

  voidage : float

  > Void fraction of bed packing []

  Notes

  Average error of 5.2%; valid 1.5 < dtube/dp < 50 and 0.42 < sphericity < 1

  References

  [R585] | (1, 2) Benyahia, F., and K. E. O’Neill. “Enhanced Voidage Correlations for Packed Beds of Various Particle Shapes and Sizes.” Particulate Science and Technology 23, no. 2 (April 1, 2005): 169-77. doi:10.1080/02726350590922242.

  Examples

      >>> voidage_Benyahia_Oneil(Dpe=1E-3, Dt=1E-2, sphericity=.8)
      0.41395363849210065

`fluids.packed_bed.``voidage_Benyahia_Oneil_spherical`(Dp, Dt)

  Calculates voidage of a bed of spheres packed into a bed or tube of diameter Dt, with sphere diameters Dp. Shown in [R586], and cited by various authors. Correlations exist also for solid cylinders, hollow cylinders, and 4-hole cylinders. Based on a series of physical measurements.

  \[\epsilon = 0.390+\frac{1.740}{\left(\frac{d_{cyl}}{d_p}+1.140\right)^2}\]

  Parameters:

  Dp : float

  > Spherical particle diameter, [m]

  Dt : float

  > Diameter of the tube, [m]

  Returns:

  voidage : float

  > Void fraction of bed packing []

  Notes

  Average error 1.5%, 1.5 < ratio < 50.

  References

  [R586] | (1, 2) Benyahia, F., and K. E. O’Neill. “Enhanced Voidage Correlations for Packed Beds of Various Particle Shapes and Sizes.” Particulate Science and Technology 23, no. 2 (April 1, 2005): 169-77. doi:10.1080/02726350590922242.

  Examples

      >>> voidage_Benyahia_Oneil_spherical(Dp=.001, Dt=.05)
      0.3906653157443224

`fluids.packed_bed.``voidage_Benyahia_Oneil_cylindrical`(Dpe, Dt, sphericity)

  Calculates voidage of a bed of cylindrical uniform particles packed into a bed or tube of diameter Dt, with equivalent sphere diameter Dpe. Shown in [R587], and cited by various authors. Correlations exist also for spheres, solid cylinders, hollow cylinders, and 4-hole cylinders. Based on a series of physical measurements.

  \[\epsilon = 0.373+\frac{1.703}{\left(\frac{d_{cyl}}{d_p}+0.611\right)^2}\]

  Parameters:

  Dpe : float

  > Equivalent spherical particle diameter (diameter of a sphere with the same volume), [m]

  Dt : float

  > Diameter of the tube, [m]

  sphericity : float

  > Sphericity of particles in bed []

  Returns:

  voidage : float

  > Void fraction of bed packing []

  Notes

  Average error 1.6%; 1.7 < ratio < 26.3.

  References

  [R587] | (1, 2) Benyahia, F., and K. E. O’Neill. “Enhanced Voidage Correlations for Packed Beds of Various Particle Shapes and Sizes.” Particulate Science and Technology 23, no. 2 (April 1, 2005): 169-77. doi:10.1080/02726350590922242.

  Examples

      >>> voidage_Benyahia_Oneil_cylindrical(Dpe=.01, Dt=.1, sphericity=.6)
      0.38812523109607894